<?xml version="1.0" encoding="UTF-8"?>
<con:soapui-project id="07a17daf-f514-44d4-be29-62ee0dc75883" activeEnvironment="Default" name="EjercicioFinalREST" resourceRoot="" soapui-version="5.7.0" abortOnError="false" runType="SEQUENTIAL" xmlns:con="http://eviware.com/soapui/config"><con:settings/><con:interface xsi:type="con:RestService" id="c9113aa8-e04d-4352-9ca9-99e0f94c6879" wadlVersion="http://wadl.dev.java.net/2009/02" name="http://deckofcardsapi.com" type="rest" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:settings/><con:definitionCache type="TEXT" rootPart=""/><con:endpoints><con:endpoint>http://deckofcardsapi.com</con:endpoint></con:endpoints><con:resource name="shuffle" path="/api/deck/${#TestSuite#deck_id}/shuffle/" id="a730e343-8100-4ad9-8b36-25314de2d9c7"><con:settings/><con:parameters><con:parameter><con:name>deck_count</con:name><con:value>1</con:value><con:style>QUERY</con:style><con:default>1</con:default></con:parameter></con:parameters><con:method name="Method 1" id="30d89625-d187-4c46-8eb9-7bb460cd6119" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:shuf="http://deckofcardsapi.com/api/deck/bbdhl5klhqi3/shuffle/">shuf:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>application/json</con:mediaType><con:status>404</con:status><con:params/></con:representation><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>404</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="REQUEST"><con:mediaType>application/json</con:mediaType><con:params/></con:representation><con:request name="Request 1" id="9c8e8e36-80df-43d4-aa8b-2292a2f2b53b" mediaType="application/json" postQueryString="false"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/bbdhl5klhqi3/shuffle/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="draw" path="/api/deck/${#TestSuite#deck_id}/draw/" id="420009f3-debf-45a3-93a3-750a79e54c34"><con:settings/><con:parameters><con:parameter><con:name>count</con:name><con:value>2</con:value><con:style>QUERY</con:style><con:default>2</con:default></con:parameter></con:parameters><con:method name="Method 1" id="12cadeab-79fc-4173-89d9-a40a7c5b943b" method="GET"><con:settings/><con:parameters/><con:representation type="FAULT"><con:mediaType>application/json</con:mediaType><con:status>404</con:status><con:params/></con:representation><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/></con:representation><con:request name="Request 1" id="04605c1a-f59e-4d04-a39f-8aaa4f5d7ffa" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="count" value="1" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:request></con:method></con:resource><con:resource name="new" path="/api/deck/new/" id="9bca2529-accc-42ee-804c-ac94047dc409"><con:settings/><con:parameters/><con:method name="Method 1" id="7b475a84-9c9e-46bc-84c6-b3b1a26e5930" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:new="http://deckofcardsapi.com/api/deck/new/">new:Response</con:element></con:representation><con:request name="Request 1" id="65ce26a7-f440-4cf4-81af-ff2cb9d3953d" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/new/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="add" path="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/add/" id="901e0240-465a-48fe-956d-eb9edaa26df7"><con:settings/><con:parameters><con:parameter><con:name>cards</con:name><con:value>AS,2S</con:value><con:style>QUERY</con:style><con:default>AS,2S</con:default></con:parameter></con:parameters><con:method name="Method 1" id="cb765b2d-c5bd-4377-bea0-881e2a36bba1" method="GET"><con:settings/><con:parameters/><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>404</con:status><con:params/><con:element>html</con:element></con:representation><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/></con:representation><con:representation type="FAULT"><con:mediaType>application/json</con:mediaType><con:status>404</con:status><con:params/></con:representation><con:request name="Request 1" id="dd286839-5c7d-4e1d-b3fa-d105017bfc9b" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="cards" value="${#TestSuite#card_code}" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:request></con:method></con:resource><con:resource name="list" path="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/list/" id="b546ecb4-1ac7-47e0-9c86-1c619edbf5a3"><con:settings/><con:parameters/><con:method name="Method 1" id="dbcb9ff5-0afd-4776-a5b4-4db11ab29603" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:list="http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile/CLUBS/list/">list:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>500</con:status><con:params/><con:element>html</con:element></con:representation><con:request name="Request 1" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="shuffle" path="/api/deck/new/shuffle/" id="f3d6c045-ec7a-4c7b-9bd3-4bf3ddcbed70"><con:settings/><con:parameters><con:parameter><con:name>deck_count</con:name><con:value>1</con:value><con:style>QUERY</con:style><con:default>1</con:default></con:parameter></con:parameters><con:method name="Method 1" id="5fa0b2ff-eb18-496f-82a0-aa66f18b6ffb" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:shuf="http://deckofcardsapi.com/api/deck/new/shuffle/">shuf:Response</con:element></con:representation><con:request name="Request 1" id="65aff960-d540-4049-b3bb-146f555e3a39" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/new/shuffle/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="listHearts" path="/api/deck/${#TestSuite#deck_id}/pile/hearts/list/" id="b546ecb4-1ac7-47e0-9c86-1c619edbf5a3"><con:settings/><con:parameters/><con:method name="Method 1" id="dbcb9ff5-0afd-4776-a5b4-4db11ab29603" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:list="http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile/CLUBS/list/">list:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>500</con:status><con:params/><con:element>html</con:element></con:representation><con:request name="Request 1" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="listClubs" path="/api/deck/${#TestSuite#deck_id}/pile/clubs/list/" id="b546ecb4-1ac7-47e0-9c86-1c619edbf5a3"><con:settings/><con:parameters/><con:method name="Method 1" id="dbcb9ff5-0afd-4776-a5b4-4db11ab29603" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:list="http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile/CLUBS/list/">list:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>500</con:status><con:params/><con:element>html</con:element></con:representation><con:request name="Request 1" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="listDiamonds" path="/api/deck/${#TestSuite#deck_id}/pile/diamonds/list/" id="b546ecb4-1ac7-47e0-9c86-1c619edbf5a3"><con:settings/><con:parameters/><con:method name="Method 1" id="dbcb9ff5-0afd-4776-a5b4-4db11ab29603" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:list="http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile/CLUBS/list/">list:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>500</con:status><con:params/><con:element>html</con:element></con:representation><con:request name="Request 1" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource><con:resource name="listSpades" path="/api/deck/${#TestSuite#deck_id}/pile/spades/list/" id="b546ecb4-1ac7-47e0-9c86-1c619edbf5a3"><con:settings/><con:parameters/><con:method name="Method 1" id="dbcb9ff5-0afd-4776-a5b4-4db11ab29603" method="GET"><con:settings/><con:parameters/><con:representation type="RESPONSE"><con:mediaType>application/json</con:mediaType><con:status>200</con:status><con:params/><con:element xmlns:list="http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile/CLUBS/list/">list:Response</con:element></con:representation><con:representation type="FAULT"><con:mediaType>text/html</con:mediaType><con:status>500</con:status><con:params/><con:element>html</con:element></con:representation><con:request name="Request 1" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings/><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:request></con:method></con:resource></con:interface><con:testSuite id="8896077d-5a90-481d-8238-3bfb50788059" name="Ejercicio1"><con:description>TestSuite generated for REST Service [http://deckofcardsapi.com]</con:description><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="dd807e7a-d4b0-4c42-bcbf-a4d284bf56a1" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase1" searchProperties="true"><con:description>TestCase generated for REST Resource [] located at [/]</con:description><con:settings/><con:testStep type="restrequest" name="NewDeck" id="ae500de6-082f-4678-9410-681f28fc9411"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/new/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="NewDeck" id="65ce26a7-f440-4cf4-81af-ff2cb9d3953d" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/new/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="deck_id" id="4f6396f9-fc5f-4f57-8efb-138ad940959f"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${NewDeck#Response}')
def json_response = json.parseText(response)
testRunner.testCase.testSuite.setPropertyValue("deck_id", String.valueOf(json_response.deck_id))
log.info json_response.deck_id</script></con:config></con:testStep><con:testStep type="restrequest" name="ShuffleCards" id="9af72d71-3923-42fa-a85f-2f07e85c989b"><con:settings/><con:config service="http://deckofcardsapi.com" methodName="Method 1" resourcePath="/api/deck/${#TestSuite#deck_id}/shuffle/" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ShuffleCards" id="574c55f1-ed28-4f6b-9702-df33f5bf46f5" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:encoding>UTF-8</con:encoding><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck//shuffle/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><con:entry key="deck_count" value="1"/></con:parameters></con:restRequest></con:config></con:testStep><con:properties><con:property><con:name>deck_id</con:name><con:value>wgc8v9h3dhtk</con:value></con:property><con:property><con:name>card_code</con:name><con:value>[7H]</con:value></con:property><con:property><con:name>pile_name</con:name><con:value>4</con:value></con:property></con:properties></con:testCase><con:testCase id="f25e5c89-b3f2-49ef-9307-afd059dc72a9" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase2" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="DrawCard" id="4856a027-0e6d-4079-8505-6b2076a788b1"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/draw/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="DrawCard" id="04605c1a-f59e-4d04-a39f-8aaa4f5d7ffa" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck//draw/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="count" value="1" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="card_code" id="5aad10e7-2f0b-4cf3-9c6d-4bedfc33f2b2"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${DrawCard#Response}')
def json_response = json.parseText(response)
def prop = String.valueOf(json_response.cards.code)
testRunner.testCase.testSuite.setPropertyValue("card_code", prop[1,2])
log.info prop[1,2]


</script></con:config></con:testStep><con:testStep type="restrequest" name="AddPile" id="72244d73-c1f3-45b9-af4b-f3d06a9ebbf8"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/add/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="AddPile" id="dd286839-5c7d-4e1d-b3fa-d105017bfc9b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/x80cz21ejhid/pile//add/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="cards" value="${#TestCSuite#card_code}" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="a91557d9-6dcb-4fa5-b582-f2adada92ee8" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase3" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="ListCards" id="a6b751e1-62bf-4f4d-8be7-0cee13549412"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/list/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ListCards" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/g1crodwt0j57/pile/4/list/</con:originalUri><con:assertion type="GroovyScriptAssertion" id="ff6dcd69-68db-422e-934e-ab1bf44b660b" name="Script Assertion"><con:configuration><scriptText>import groovy.json.JsonSlurper
def responseMessage = messageExchange.response.responseContent
def json = new JsonSlurper().parseText(responseMessage)
assert json.remaining == 24</scriptText></con:configuration></con:assertion><con:assertion type="Simple Contains" id="b3671f76-742a-4eff-815b-30166623039f" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="fca4d6d6-9a9f-4f11-a015-2b96119f155f" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseRunner" searchProperties="true"><con:settings/><con:testStep type="groovy" name="TestRunner" id="2cbb1f3c-c1b1-4bf6-be0c-7f72c15d518b"><con:settings/><con:config><script>def tCase1 = testRunner.testCase.testSuite.testCases["TestCase1"]
tCase1.run(null, false)

for(x=1;x&lt;=7;x++){
	for(i=1;i&lt;=4;i++){
		
		project = testRunner.testCase.testSuite.project ;
		tcase = project.testSuites["Ejercicio1"].testCases["TestCase2"]
		tstep = tcase.getTestStepByName("DrawCard")
		tstep.run(testRunner, context)
		
		tstep = tcase.getTestStepByName("card_code")
		tstep.run(testRunner, context)
		
		def player = i 
		testRunner.testCase.testSuite.setPropertyValue("pile_name", String.valueOf(player))
		tstep = tcase.getTestStepByName("AddPile")
		
		tstep.run(testRunner, context)
				
	}
	log.info(x)
}

def tCase3 = testRunner.testCase.testSuite.testCases["TestCase3"]
tCase3.run(null, false)

log.info ("  - Executed successfully")</script></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>deck_id</con:name><con:value>g1crodwt0j57</con:value></con:property><con:property><con:name>card_code</con:name><con:value>2C</con:value></con:property><con:property><con:name>pile_name</con:name><con:value>4</con:value></con:property></con:properties></con:testSuite><con:testSuite id="0c508b54-1cb9-43df-b6a8-8c68c6a4a240" name="Ejercicio2"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="ac06a2cb-c167-4efc-8788-5f95a323d9c9" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase1" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="ShuffleNewDeck" id="25d832c6-4480-4dfb-aab7-6ebdb102d678"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/new/shuffle/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ShuffleNewDeck" id="65aff960-d540-4049-b3bb-146f555e3a39" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/new/shuffle/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="deck_id" id="f1241651-2338-4286-8473-052a1bcf129a"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${ShuffleNewDeck#Response}')
def json_response = json.parseText(response)
testRunner.testCase.testSuite.setPropertyValue("deck_id", String.valueOf(json_response.deck_id))
log.info json_response.deck_id</script></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="68408273-1b81-461f-8bac-e319a6952752" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase2" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="DrawCard" id="5cdc9ea6-4bd0-46a4-bc49-722e4bb3548e"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/draw/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="DrawCard" id="04605c1a-f59e-4d04-a39f-8aaa4f5d7ffa" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck//draw/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="count" value="1" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="card_suit" id="ef21eb09-54fd-4fdd-955e-eb9ad457d252"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${DrawCard#Response}')
def json_response = json.parseText(response)
def prop = String.valueOf(json_response.cards.code)

testRunner.testCase.testSuite.setPropertyValue("card_code", prop[1,2])
log.info json_response.cards.code

def suit = json_response.cards.suit
switch(suit){
	case "[SPADES]":
		testRunner.testCase.testSuite.setPropertyValue("pile_name", "SPADES")
		beak
	case "[DIAMONDS]":
		testRunner.testCase.testSuite.setPropertyValue("pile_name", "DIAMONDS")
		break
	case "[CLUBS]":
		testRunner.testCase.testSuite.setPropertyValue("pile_name", "CLUBS")
		break
	case "[HEARTS]":
		testRunner.testCase.testSuite.setPropertyValue("pile_name", "HEARTS")
		break		
}
</script></con:config></con:testStep><con:testStep type="restrequest" name="AddPile" id="6878ab27-e0ab-462d-a099-9bf5301eeefb"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/add/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="AddPile" id="dd286839-5c7d-4e1d-b3fa-d105017bfc9b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile//add/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="cards" value="${#TestSuite#card_code}" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="b71e6e20-fa36-43ce-960f-b195b1283b4f" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase3" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="ListHearts" id="fe1b8ce2-1a35-4bbd-9cb6-b8eeee62f839"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/hearts/list/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ListHearts" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/chk53g8imzyd/pile/hearts/list/</con:originalUri><con:assertion type="GroovyScriptAssertion" id="b39746e6-5da2-46ea-9e89-e8734c903068" name="Script Assertion"><con:configuration><scriptText>import groovy.json.JsonSlurper
def responseMessage = messageExchange.response.responseContent
def json = new JsonSlurper().parseText(responseMessage)
assert json.remaining == 0
</scriptText></con:configuration></con:assertion><con:assertion type="Simple Contains" id="91e3159a-6226-4d5e-aa51-56af0e09972e" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="ListClubs" id="4fb6a93e-8f31-4b90-b6f8-c6f8031c2f82"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/clubs/list/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ListClubs" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/chk53g8imzyd/pile/clubs/list/</con:originalUri><con:assertion type="Simple Contains" id="1562448e-977e-45e1-b1c6-7865d2ae3d0e" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="GroovyScriptAssertion" id="c2445504-192c-4af4-8eb9-eb38b10f2eeb" name="Script Assertion"><con:configuration><scriptText>import groovy.json.JsonSlurper
def responseMessage = messageExchange.response.responseContent
def json = new JsonSlurper().parseText(responseMessage)
assert json.remaining == 0</scriptText></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="ListDiamonds" id="66abe1b3-6e27-48d9-af76-f2229090fa9e"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/diamonds/list/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ListDiamonds" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/chk53g8imzyd/pile/diamonds/list/</con:originalUri><con:assertion type="Simple Contains" id="30c63eb5-f57f-4b5d-9ac2-26c835b321b7" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="GroovyScriptAssertion" id="1f2ee6b9-b143-4c29-8237-357049f613ff" name="Script Assertion"><con:configuration><scriptText>import groovy.json.JsonSlurper
def responseMessage = messageExchange.response.responseContent
def json = new JsonSlurper().parseText(responseMessage)
assert json.remaining == 0</scriptText></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="restrequest" name="ListSpades" id="69b2b141-977c-41ee-9346-04e4612f07ff"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/spades/list/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ListSpades" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/chk53g8imzyd/pile/spades/list/</con:originalUri><con:assertion type="Simple Contains" id="6d5cdf94-28f7-4cba-a9f7-2e6a885fd717" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="GroovyScriptAssertion" id="156f23e1-7fd8-4563-bd46-c467d3699519" name="Script Assertion"><con:configuration><scriptText>import groovy.json.JsonSlurper
def responseMessage = messageExchange.response.responseContent
def json = new JsonSlurper().parseText(responseMessage)
assert json.remaining == 0</scriptText></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="b1d6f887-52a2-430a-a677-c35086c25f08" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseRunner" searchProperties="true"><con:settings/><con:testStep type="groovy" name="TestRunner" id="34da499c-e552-450b-af2b-fcce5381a41b"><con:settings/><con:config><script>def tCase1 = testRunner.testCase.testSuite.testCases["TestCase1"]
tCase1.run(null, false)

for(x=1;x&lt;=13;x++){
	for(i=1;i&lt;=4;i++){
		def tCase2 = testRunner.testCase.testSuite.testCases["TestCase2"]
		tCase2.run(null, false)		
	}
	log.info(x)
}

def tCase3 = testRunner.testCase.testSuite.testCases["TestCase3"]
tCase3.run(null, false)

log.info ("  - Executed successfully")</script></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>deck_id</con:name><con:value>tzmvx85op3pc</con:value></con:property><con:property><con:name>card_code</con:name><con:value>9C</con:value></con:property><con:property><con:name>card_suit</con:name><con:value>[CLUBS]</con:value></con:property><con:property><con:name>pile_name</con:name><con:value>CLUBS</con:value></con:property></con:properties></con:testSuite><con:testSuite id="ecce6b4d-1763-4cac-a2e7-c55f293323d5" name="Ejercicio3"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="c1eb76a5-9a4b-4bbd-9b73-15717f4225c5" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase1" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="ShuffleCards" id="997568fa-6e6f-47cc-aec2-b941f68b7aae"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/new/shuffle/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ShuffleCards" id="65aff960-d540-4049-b3bb-146f555e3a39" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/new/shuffle/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="deck_id" id="bcea0a02-7052-4f91-a69d-cb77c1b6d465"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${ShuffleCards#Response}')
def json_response = json.parseText(response)
testRunner.testCase.testSuite.setPropertyValue("deck_id", String.valueOf(json_response.deck_id))
log.info json_response.deck_id</script></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="678078d2-ab86-42f9-b4c9-072bdd9b3c93" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase2" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="DrawCard" id="bddce25d-2b30-4e5f-a22b-06d06362972d"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/draw/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="DrawCard" id="04605c1a-f59e-4d04-a39f-8aaa4f5d7ffa" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck//draw/</con:originalUri><con:assertion type="Simple Contains" id="4e1c789c-4097-41ef-8a56-5f87c881eb80" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="count" value="1" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="card_value" id="291370b3-b3fd-455a-842c-3c523938eb54"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${DrawCard#Response}')
def json_response = json.parseText(response)
def prop = String.valueOf(json_response.cards.code)

testRunner.testCase.testSuite.setPropertyValue("card_code", prop[1])
log.info json_response.cards.code


</script></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="2cae9dd5-efea-43a7-add4-5bb69a15f6f4" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseRunner" searchProperties="true"><con:settings/><con:testStep type="groovy" name="TestRunner" id="acb31787-4fa9-4e28-8c74-7c652a2dd2ed"><con:settings/><con:config><script>def tCase1 = testRunner.testCase.testSuite.testCases["TestCase1"]
tCase1.run(null, false)

for(x=1;x&lt;=52;x++){
	def old_card_code = testRunner.testCase.testSuite.getPropertyValue("card_code")
	def tCase2 = testRunner.testCase.testSuite.testCases["TestCase2"]
	tCase2.run(null, false)
	def new_card_code = testRunner.testCase.testSuite.getPropertyValue("card_code")		
	if(new_card_code == old_card_code){
		log.info ("La condición se cumplió.")
		log.info (new_card_code +" "+old_card_code)
		break
	}
	log.info(x)
}


log.info ("  - Executed successfully")</script></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>deck_id</con:name><con:value>1b6ao5egd8p2</con:value></con:property><con:property><con:name>card_code</con:name><con:value>K</con:value></con:property></con:properties></con:testSuite><con:testSuite id="dceaa382-ef0d-450f-9c5a-6394295cc988" name="Ejercicio4"><con:settings/><con:runType>SEQUENTIAL</con:runType><con:testCase id="eaa2c638-4f0c-4ae1-b165-bdb1ff98bfa1" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase1" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="NewDeck" id="09335b83-0873-4d79-8dfe-06b6c0754343"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/new/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="NewDeck" id="65ce26a7-f440-4cf4-81af-ff2cb9d3953d" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/new/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="deck_id" id="8098e001-b284-4435-8969-055e57067324"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${NewDeck#Response}')
def json_response = json.parseText(response)
testRunner.testCase.testSuite.setPropertyValue("deck_id", String.valueOf(json_response.deck_id))
log.info json_response.deck_id</script></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="94d6873c-4591-4bf7-9aef-7f63364b9a06" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase2" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="DrawCards" id="3c1928c3-e61c-416b-a26b-eb472a14d58e"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/draw/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="DrawCards" id="04605c1a-f59e-4d04-a39f-8aaa4f5d7ffa" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/uaesx2m0wfxy/draw/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="count" value="1" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:testStep type="groovy" name="card_fig" id="f7fca996-2fea-4e7d-ba4d-d23cb3968eb3"><con:settings/><con:config><script>import groovy.json.JsonSlurper 

def json = new JsonSlurper()
def response = context.expand('${DrawCards#Response}')
def json_response = json.parseText(response)
def prop = String.valueOf(json_response.cards.code)

testRunner.testCase.testSuite.setPropertyValue("card_code", prop[1,2])
log.info prop[1]
if(prop[1] == "A" || prop[1] == "J" || prop[1] == "Q" || prop[1] == "K"){
	testRunner.testCase.testSuite.setPropertyValue("pile_name", "FIGS")
}else if(prop[1] == "2" || prop[1] == "4" || prop[1] == "6" || prop[1] == "8" || prop[1] == 0){
	testRunner.testCase.testSuite.setPropertyValue("pile_name", "EVEN")
}else{
	testRunner.testCase.testSuite.setPropertyValue("pile_name", "ODD")
}
</script></con:config></con:testStep><con:testStep type="restrequest" name="AddPile" id="231ee8d3-1987-4dea-80af-44118cfe3ed4"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/add/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="AddPile" id="dd286839-5c7d-4e1d-b3fa-d105017bfc9b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/8xxhkzm48opu/pile//add/</con:originalUri><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters><entry key="cards" value="${#TestSuite#card_code}" xmlns="http://eviware.com/soapui/config"/></con:parameters></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="896a8231-fc79-44af-9b4e-51bd62885f58" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCase3" searchProperties="true"><con:settings/><con:testStep type="restrequest" name="ListCards" id="f6495526-707d-45b9-b585-6658d2c3aca8"><con:settings/><con:config service="http://deckofcardsapi.com" resourcePath="/api/deck/${#TestSuite#deck_id}/pile/${#TestSuite#pile_name}/list/" methodName="Method 1" xsi:type="con:RestRequestStep" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><con:restRequest name="ListCards" id="2fc0d593-d4c7-4b77-b89e-64ac632dec7b" mediaType="application/json"><con:settings><con:setting id="com.eviware.soapui.impl.wsdl.WsdlRequest@request-headers">&lt;xml-fragment/></con:setting></con:settings><con:endpoint>http://deckofcardsapi.com</con:endpoint><con:request/><con:originalUri>http://deckofcardsapi.com/api/deck/uaesx2m0wfxy/pile/FIGS/list/</con:originalUri><con:assertion type="Simple Contains" id="5bd5afb3-06d6-4a3e-970f-1d9850260667" name="Contains"><con:configuration><token>"success": true</token><ignoreCase>false</ignoreCase><useRegEx>false</useRegEx></con:configuration></con:assertion><con:assertion type="GroovyScriptAssertion" id="cc42b79d-24ed-484c-a549-43eff093abfe" name="Script Assertion"><con:configuration><scriptText>import groovy.json.JsonSlurper
def responseMessage = messageExchange.response.responseContent
def json = new JsonSlurper().parseText(responseMessage)
assert json.remaining == 0</scriptText></con:configuration></con:assertion><con:credentials><con:authType>No Authorization</con:authType></con:credentials><con:jmsConfig JMSDeliveryMode="PERSISTENT"/><con:jmsPropertyConfig/><con:parameters/></con:restRequest></con:config></con:testStep><con:properties/></con:testCase><con:testCase id="aa7f24ec-10df-4257-9118-d00a928c01a4" failOnError="true" failTestCaseOnErrors="true" keepSession="false" maxResults="0" name="TestCaseRunner" searchProperties="true"><con:settings/><con:testStep type="groovy" name="TestRunner" id="96ac3e0d-0617-4dc7-adf4-da0592dae84c"><con:settings/><con:config><script>def tCase1 = testRunner.testCase.testSuite.testCases["TestCase1"]
tCase1.run(null, false)

for(x=1;x&lt;=52;x++){
	
	def tCase2 = testRunner.testCase.testSuite.testCases["TestCase2"]
	tCase2.run(null, false)

	
	log.info(x)
}

def tCase3 = testRunner.testCase.testSuite.testCases["TestCase3"]
tCase3.run(null, false)

log.info ("  - Executed successfully")</script></con:config></con:testStep><con:properties/></con:testCase><con:properties><con:property><con:name>deck_id</con:name><con:value>pk7tv1hijx5r</con:value></con:property><con:property><con:name>card_code</con:name><con:value>KH</con:value></con:property><con:property><con:name>pile_name</con:name><con:value>FIGS</con:value></con:property></con:properties></con:testSuite><con:properties/><con:wssContainer/><con:oAuth2ProfileContainer/><con:oAuth1ProfileContainer/><con:sensitiveInformation/></con:soapui-project>